Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionItem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionItem.cs	(revision 218)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionItem.cs	(revision 219)
@@ -56,9 +56,9 @@
 
         #endregion
 
-        #region 検索処理
+        #region 工事項目マスタ検索SQL作成
         /// <summary>
-        /// 工事項目マスタ検索
+        /// 工事項目マスタ検索SQL作成
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">工事項目マスタデータ</param>
@@ -66,32 +66,43 @@
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
-            strcmd += "  ItemCode";
-            strcmd += " ,DisplayOrder";
-            strcmd += " ,ItemName";
-            strcmd += " ,SubitemsFlg";
-            strcmd += " ,MyExpensesFlg";
-            strcmd += " ,DeleteFlg";
-            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM ConstructionItemMaster";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append("  ItemCode");
+            strcmd.Append(" ,DisplayOrder");
+            strcmd.Append(" ,ItemName");
+            strcmd.Append(" ,SubitemsFlg");
+            strcmd.Append(" ,MyExpensesFlg");
+            strcmd.Append(" ,DeleteFlg");
+            strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM ConstructionItemMaster");
 
-            return strcmd;
+            return strcmd.ToString();
         }
+        #endregion
+
+        #region 工事項目マスタ検索（複数）
+        /// <summary>
+        /// 工事項目マスタ検索（複数）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<ConstructionItemMaster> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.AppendFormat("{0}{1}", CreateSelectSQL(), AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -105,24 +116,34 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
         }
+        #endregion
+
+        #region 工事項目マスタ検索（1件）
+        /// <summary>
+        /// 工事項目マスタ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref ConstructionItemMaster data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.AppendFormat("{0}{1}", CreateSelectSQL(), AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 // データ無
                 if (arData.Count == 0) return false;
 
@@ -137,7 +158,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -144,103 +165,106 @@
         }
         #endregion
 
-        #region 追加処理
+        #region 工事項目マスタ追加（1件）
         /// <summary>
-        /// 工事項目マスタ追加
+        /// 工事項目マスタ追加（1件）
         /// </summary>
         /// <param name="data">工事項目マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(ConstructionItemMaster work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO ConstructionItemMaster";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO ConstructionItemMaster");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("  {0}", work.ItemCode.ToString());
-                strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
-                strcmd += string.Format(", '{0}'", work.ItemName);
-                strcmd += string.Format(", {0}", work.SubitemsFlg.ToString());
-                strcmd += string.Format(", {0}", work.MyExpensesFlg.ToString());
-                strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
+                strcmd.AppendFormat("  {0}", work.ItemCode.ToString());
+                strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
+                strcmd.AppendFormat(", '{0}'", work.ItemName);
+                strcmd.AppendFormat(", {0}", work.SubitemsFlg.ToString());
+                strcmd.AppendFormat(", {0}", work.MyExpensesFlg.ToString());
+                strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
+
+        #region 工事項目マスタ追加（複数）
         /// <summary>
-        /// 工事項目マスタ追加
+        /// 工事項目マスタ追加(複数)
         /// </summary>
         /// <param name="data">工事項目マスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<ConstructionItemMaster> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO ConstructionItemMaster";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO ConstructionItemMaster");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (ConstructionItemMaster work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.ItemCode.ToString());
-                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
-                    strcmd += string.Format(", '{0}'", work.ItemName);
-                    strcmd += string.Format(", {0}", work.SubitemsFlg.ToString());
-                    strcmd += string.Format(", {0}", work.MyExpensesFlg.ToString());
-                    strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
+                    strcmd.AppendFormat("  {0}", work.ItemCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
+                    strcmd.AppendFormat(", '{0}'", work.ItemName);
+                    strcmd.AppendFormat(", {0}", work.SubitemsFlg.ToString());
+                    strcmd.AppendFormat(", {0}", work.MyExpensesFlg.ToString());
+                    strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
         #endregion
 
-        #region 更新処理
+        #region 工事項目マスタ更新
         /// <summary>
         /// 工事項目マスタ更新
         /// </summary>
@@ -249,31 +273,31 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, ConstructionItemMaster data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE ConstructionItemMaster";
+                strcmd.Append("UPDATE ConstructionItemMaster");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ItemCode = {0}", data.ItemCode.ToString());
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd += string.Format(",ItemName = '{0}'", data.ItemName);
-                strcmd += string.Format(",SubitemsFlg = {0}", data.SubitemsFlg.ToString());
-                strcmd += string.Format(",MyExpensesFlg = {0}", data.MyExpensesFlg.ToString());
-                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+                strcmd.AppendFormat(" ItemCode = {0}", data.ItemCode.ToString());
+                strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(",ItemName = '{0}'", data.ItemName);
+                strcmd.AppendFormat(",SubitemsFlg = {0}", data.SubitemsFlg.ToString());
+                strcmd.AppendFormat(",MyExpensesFlg = {0}", data.MyExpensesFlg.ToString());
+                strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -289,22 +313,24 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM ConstructionItemMaster", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM ConstructionItemMaster", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
+        #region 論理削除
         /// <summary>
         /// 論理削除
         /// </summary>
@@ -376,8 +402,7 @@
 
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 最大値を取得する
         /// <summary>
         /// 最大値を取得する
         /// </summary>
@@ -387,16 +412,16 @@
         public int SelectMaxItemCodeCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(ItemCode), 0) FROM ConstructionItemMaster" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(ItemCode), 0) FROM ConstructionItemMaster{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -409,12 +434,14 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
         }
+        #endregion
 
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -422,17 +449,17 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int ItemCode = 0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where ItemCode = {0}", ItemCode);
+                strWork.AppendFormat(" Where ItemCode = {0}", ItemCode);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
